@base <https://purl.org/coscine/ap/sfb1394/AtomisticProcessed/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394AtomisticProcessed: <https://purl.org/coscine/ap/sfb1394/AtomisticProcessed#> .

 # AtomisticProcessed 
<https://purl.org/coscine/ap/sfb1394/AtomisticProcessed/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 AtomisticProcessed"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/AtomisticProcessed/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394AtomisticProcessed:ID ;
  sh:property coscineSfb1394AtomisticProcessed:aliasID ;
  sh:property coscineSfb1394AtomisticProcessed:user ;
  sh:property coscineSfb1394AtomisticProcessed:date ;
  sh:property coscineSfb1394AtomisticProcessed:affiliation ;
  sh:property coscineSfb1394AtomisticProcessed:dois ;
  sh:property coscineSfb1394AtomisticProcessed:comments ;
  sh:property coscineSfb1394AtomisticProcessed:postProcessingId ;
  sh:property coscineSfb1394AtomisticProcessed:format ;
.

coscineSfb1394AtomisticProcessed:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394AtomisticProcessed:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394AtomisticProcessed:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394AtomisticProcessed:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394AtomisticProcessed:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394AtomisticProcessed:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394AtomisticProcessed:comments 
  sh:path sfb1394:comments ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 

coscineSfb1394AtomisticProcessed:postProcessingId 
  sh:path sfb1394:postProcessingId ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Post processing ID"@en, "Post processing ID"@de ;
. 

coscineSfb1394AtomisticProcessed:format 
  sh:path sfb1394:format ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Format"@en, "Format"@de ;
. 
